# Apple Watch Poketch

## What is it?

It's an Apple Watch remake of the "Poketch" from Pokemon Diamond and Pearl made with SwiftUI!

Check out the YouTube video [here](https://www.youtube.com/watch?v=EW62MN3cy_k) to see it in action!

_Notice: "Poketch", "Pokemon", and the assets used in this project are soley owned by the Pokémon Company, Game Freak, and Nintendo. As such, the license for this project does not apply to assets in this repository owned by the aforementioned companies._

## What devices can I run this on?

The only real limitation is screen size. Any full-screen Apple Watch should work (4 or above), though I haven't tested it on the Series 3. Feel free to give it a shot and report back how it goes! I'd imagine that simple apps like the digital watch should fit but more complex apps like the calculator will have elements cut off.

## How do I put this on my Apple Watch?

By sideloading! This is a pretty complicated and involved process that will probably only make sense if you're a developer, but [here's](https://developer.apple.com/documentation/xcode/running-your-app-in-the-simulator-or-on-a-device) Apple's documentation on running custom apps on your devices using Xcode.

## What apps does it have?

All kinds!

![](/Resources/device-screenshots/simulator-screenshot-digital-watch.png)

![](/Resources/device-screenshots/simulator-screenshot-calculator.png)

![](/Resources/device-screenshots/simulator-screenshot-pedometer.png)

![](/Resources/device-screenshots/simulator-screenshot-dowsing-machine.png)

![](/Resources/device-screenshots/simulator-screenshot-counter.png)

![](/Resources/device-screenshots/simulator-screenshot-analog-watch.png)

![](/Resources/device-screenshots/simulator-screenshot-marking-map.png)

![](/Resources/device-screenshots/simulator-screenshot-coin-toss.png)

![](/Resources/device-screenshots/simulator-screenshot-move-tester.png)

![](/Resources/device-screenshots/simulator-screenshot-color-changer-green.png)

![](/Resources/device-screenshots/simulator-screenshot-color-changer-stopwatch.png)

I added the apps that seemed to make the most sense on an Apple Watch, as well as some of my favorites that gave the original Poketch its charm. If you want to see the project running, check out my video [here](https://www.youtube.com/watch?v=EW62MN3cy_k).
